<?php

############################################################

array_push($sql_statements,"ALTER TABLE `netjuke_userprefs` ADD `icon_set` VARCHAR( 100 ) DEFAULT 'default' NOT NULL ;");
array_push($sql_statements,"ALTER TABLE `netjuke_sessions` ADD `icon_set` VARCHAR(100) DEFAULT 'default' NOT NULL;");
array_push($sql_statements,"ALTER TABLE `netjuke_userprefs` ADD `language` VARCHAR( 2 ) DEFAULT 'en' NOT NULL ;");
array_push($sql_statements,"ALTER TABLE `netjuke_sessions` ADD `language` VARCHAR(2) DEFAULT 'en' NOT NULL;");
array_push($sql_statements,"ALTER TABLE `netjuke_userprefs` ADD `explore` VARCHAR( 1 ) DEFAULT 't' NOT NULL ;");
array_push($sql_statements,"ALTER TABLE `netjuke_sessions` ADD `explore` VARCHAR( 1 ) DEFAULT 't' NOT NULL ;");
array_push($sql_statements,"ALTER TABLE `netjuke_userprefs` ADD `theme` VARCHAR( 100 ) DEFAULT 'Artekopia' NOT NULL ;");
array_push($sql_statements,"ALTER TABLE `netjuke_sessions` ADD `theme` VARCHAR(100) DEFAULT 'Artekopia' NOT NULL;");
array_push($sql_statements,"CREATE TABLE `netjuke_themeprefs` (
`us_email` VARCHAR( 75 ) NOT NULL ,
`theme` VARCHAR( 100 ) NOT NULL ,
`setting` VARCHAR( 100 ) NOT NULL ,
`value` VARCHAR( 200 ) NOT NULL ,
PRIMARY KEY ( `us_email` , `theme` , `setting` ));");
array_push($sql_statements,"ALTER TABLE `netjuke_userprefs` DROP `bgcolor` ,
DROP `text` , DROP `link` , DROP `alink` , DROP `vlink` ,
DROP `td_border` , DROP `td_header` , DROP `td_header_fc` ,
DROP `td_content` , DROP `font_face` , DROP `font_size` ;");
array_push($sql_statements,"ALTER TABLE `netjuke_sessions` DROP `bgcolor` ,
DROP `text` , DROP `link` , DROP `alink` , DROP `vlink` ,
DROP `td_border` , DROP `td_header` , DROP `td_header_fc`,
DROP `td_content` , DROP `font_face` ,DROP `font_size` ;");
array_push($sql_statements,"ALTER TABLE `netjuke_sessions` CHANGE `theme` `theme` VARCHAR( 100 ) DEFAULT 'artekopia' NOT NULL ;");
array_push($sql_statements,"UPDATE netjuke_sessions SET theme = 'artekopia';");
array_push($sql_statements,"UPDATE netjuke_userprefs SET theme = 'artekopia';");

############################################################

?>
